Package org.springframework.jmx.export.assembler

# Interface AutodetectCapableMBeanInfoAssembler

All Superinterfaces:
  `MBeanInfoAssembler`

All Known Implementing Classes:
  `MetadataMBeanInfoAssembler`

public interface AutodetectCapableMBeanInfoAssembler extends MBeanInfoAssembler
Extends the `MBeanInfoAssembler` to add auto-detection logic. Implementations of this interface are given the opportunity by the `MBeanExporter` to include additional beans in the registration process.

The exact mechanism for deciding which beans to include is left to implementing classes.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  - `MBeanExporter`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`includeBean(Class<?> beanClass, String beanName)`
Indicate whether a particular bean should be included in the registration process, if it is not specified in the `beans` map of the `MBeanExporter`.

### Methods inherited from interface org.springframework.jmx.export.assembler.MBeanInfoAssembler

`getMBeanInfo`

## Method Details

### includeBean

boolean includeBean(Class<?> beanClass, String beanName)
Indicate whether a particular bean should be included in the registration process, if it is not specified in the `beans` map of the `MBeanExporter`.

Parameters:
  `beanClass` - the class of the bean (might be a proxy class)
  `beanName` - the name of the bean in the bean factory